<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CruiseShip StructType
 * @subpackage Structs
 */
class CruiseShip extends AbstractStructBase
{
    /**
     * The CruiseShipRQ
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_CruiseShipRQ
     */
    public $CruiseShipRQ;
    /**
     * Constructor method for CruiseShip
     * @uses CruiseShip::setCruiseShipRQ()
     * @param \StructType\JP_CruiseShipRQ $cruiseShipRQ
     */
    public function __construct(\StructType\JP_CruiseShipRQ $cruiseShipRQ = null)
    {
        $this
            ->setCruiseShipRQ($cruiseShipRQ);
    }
    /**
     * Get CruiseShipRQ value
     * @return \StructType\JP_CruiseShipRQ|null
     */
    public function getCruiseShipRQ()
    {
        return $this->CruiseShipRQ;
    }
    /**
     * Set CruiseShipRQ value
     * @param \StructType\JP_CruiseShipRQ $cruiseShipRQ
     * @return \StructType\CruiseShip
     */
    public function setCruiseShipRQ(\StructType\JP_CruiseShipRQ $cruiseShipRQ = null)
    {
        $this->CruiseShipRQ = $cruiseShipRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\CruiseShip
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
